A492cf15500880884557cbf7bdd449f8?s=64 guard

guard

20 0 0

Guard is a command line tool to easily handle events on file system modifications.

Dependencies

Package Locked Requirement Latest Status Changelog
Gems formatador >= 0.2.4 0.2.4

formatador

STDOUT text formatting

This dependency is up-to-date. Congrats and keep going!

Gems listen ~> 2.7 2.7.1

listen

The Listen gem listens to file modifications and notifies you about the changes. Works everywhere!

This dependency is up-to-date. Congrats and keep going!

Gems lumberjack ~> 1.0 1.0.5

lumberjack

A simple, powerful, and very fast logging utility that can be a drop in replacement for Logger or ActiveSupport::BufferedLogger. Provides support for automatically rolling log files even with multiple processes writing the same log file.

This dependency is up-to-date. Congrats and keep going!

Gems pry >= 0.9.12 0.9.12.6

pry

An IRB alternative and runtime developer console

This dependency is up-to-date. Congrats and keep going!

Gems thor >= 0.18.1 0.19.1

thor

Thor is a toolkit for building powerful command-line interfaces.

This dependency is up-to-date. Congrats and keep going!

Package Locked Requirement Latest Status Changelog
Gems coveralls >= 0 0.7.0

coveralls

A Ruby implementation of the Coveralls API.

This dependency is up-to-date. Congrats and keep going!

Gems gems >= 0 0.8.3

gems

Ruby wrapper for the RubyGems.org API

This dependency is up-to-date. Congrats and keep going!

Gems guard-ronn >= 0 2.0.0

guard-ronn

Guard::Ronn automatically builds your manual pages.

This dependency is up-to-date. Congrats and keep going!

Gems guard-rspec >= 0 4.2.8

guard-rspec

Guard::RSpec automatically run your specs (much like autotest).

This dependency is up-to-date. Congrats and keep going!

Gems json >= 0 1.8.1

json

This is a JSON implementation as a Ruby extension in C.

This dependency is up-to-date. Congrats and keep going!

Gems netrc >= 0 0.7.7

netrc

This library can read and update netrc files, preserving formatting including comments and whitespace.

This dependency is up-to-date. Congrats and keep going!

Gems octokit >= 0 3.1.0

octokit

Simple wrapper for the GitHub API

This dependency is up-to-date. Congrats and keep going!

Gems psych >= 0 2.0.5

psych

Psych is a YAML parser and emitter. Psych leverages libyaml[http://pyyaml.org/wiki/LibYAML] for its YAML parsing and emitting capabilities. In addition to wrapping libyaml, Psych also knows how to serialize and de-serialize most Ruby objects to and from the YAML format.

This dependency is up-to-date. Congrats and keep going!

Gems racc >= 0 1.4.11

racc

Racc is a LALR(1) parser generator. It is written in Ruby itself, and generates Ruby program. NOTE: Ruby 1.8.x comes with Racc runtime module. You can run your parsers generated by racc 1.4.x out of the box.

This dependency is up-to-date. Congrats and keep going!

Gems rake >= 0 10.3.1

rake

Rake is a Make-like program implemented in Ruby. Tasks and dependencies are specified in standard Ruby syntax. Rake has the following features: * Rakefiles (rake's version of Makefiles) are completely defined in standard Ruby syntax. No XML files to edit. No quirky Makefile syntax to worry about (is that a tab or a space?) * Users can specify tasks with prerequisites. * Rake supports rule patterns to synthesize implicit tasks. * Flexible FileLists that act like arrays but know about manipulating file names and paths. * A library of prepackaged tasks to make building rakefiles easier. For example, tasks for building tarballs and publishing to FTP or SSH sites. (Formerly tasks for building RDoc and Gems were included in rake but they're now available in RDoc and RubyGems respectively.) * Supports parallel execution of tasks.

This dependency is up-to-date. Congrats and keep going!

Gems redcarpet >= 0 3.1.1

redcarpet

A fast, safe and extensible Markdown to (X)HTML parser

This dependency is up-to-date. Congrats and keep going!

Gems rspec ~> 3.0.0.beta 2.14.1

rspec

BDD for Ruby

This dependency is up-to-date. Congrats and keep going!

Gems rubinius-coverage >= 0 2.0.3

rubinius-coverage

Rubinius coverage tool.

This dependency is up-to-date. Congrats and keep going!

Gems rubysl ~> 2.0 2.0.15

rubysl

Ruby 2.0+ standard library meta-spec. Install this spec to install the Ruby standard library on compliant Ruby implementations that provide Ruby 2.0+ compatibility.

This dependency is up-to-date. Congrats and keep going!

Gems yard >= 0 0.8.7.4

yard

YARD is a documentation generation tool for the Ruby programming language. It enables the user to generate consistent, usable documentation that can be exported to a number of formats very easily, and also supports extending for custom Ruby constructs such as custom class level definitions.

This dependency is up-to-date. Congrats and keep going!